    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ----------------------------
    028     * ContourToolTipGenerator.java
    029     * ----------------------------
    030     * (C) Copyright 2002, 2003, by David M. O'Donnell and Contributors.
    031     *
    032     * Original Author:  David M. O'Donnell;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: ContourToolTipGenerator.java,v 1.2.2.1 2005/10/25 20:49:02 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 23-Jan-2003 : Added standard header (DG);
    040     *
    041     */
    042
    043    package org.jfree.chart.labels;
    044
    045    import org.jfree.data.contour.ContourDataset;
    046
    047    /**
    048     * Interface for a tooltip generator for plots that use data from a
    049     * {@link ContourDataset}.
    050     *
    051     * @author David M. O'Donnell
    052     */
    053    public interface ContourToolTipGenerator {
    054
    055        /**
    056         * Generates a tooltip text item for a particular item within a series.
    057         *
    058         * @param dataset  the dataset.
    059         * @param item  the item index (zero-based).
    060         *
    061         * @return The tooltip text.
    062         */
    063        public String generateToolTip(ContourDataset dataset, int item);
    064
    065    }